<?php
switch ($modx->event->name) {

    case 'msOnManagerCustomCssJs':
        if(!empty($scriptProperties['page'])) {
            if($scriptProperties['page'] == 'orders') {

                $eshoplogistic2 = $modx->getService('eshoplogistic2', 'eshoplogistic2',
                    $modx->getOption('core_path').'components/eshoplogistic2/model/eshoplogistic2/', $scriptProperties);

                $modx->controller->addLexiconTopic('eshoplogistic2:default');
                $modx->regClientStartupScript($eshoplogistic2->config['jsUrl'] . 'mgr/eshoplogistic2.js');
                $modx->regClientStartupScript($eshoplogistic2->config['jsUrl'] . 'mgr/widgets/delivery.panel.js');
                $modx->regClientStartupScript($eshoplogistic2->config['jsUrl'] . 'mgr/inject/order.tab.js');
                $modx->regClientStartupScript('<script>
				    eshoplogistic2.config.connector_url = "' . $eshoplogistic2->config['connectorUrl'] . '";
				</script>');
            }
        }
        break;


	case 'msOnCreateOrder':
	    
	    $order_data = $order->get();
        $esl_data = [];

	    if(!empty($order_data['esl_data'])) {
            if ($esl_data = json_decode($order_data['esl_data'], 1)) {
                if(!empty($order_data['terminal'])) {
                    $esl_data['address'] = $order_data['terminal'];
                }
            }
        }

	    if(!empty($esl_data)) {
            $order_properties = $msOrder->get('properties');
            $order_properties['esl'] = $esl_data;
            $msOrder->set('properties', $order_properties);
            $msOrder->save();
        }

		break;
		
	/*
	* Получение данных товаров. Можно добавить габариты, изменить вес и т.д.
	*/
	/*
	case 'eshoplogistic2OnGetOffers':
        foreach($offers as $k => $offer) {
            if($productData = $modx->getObject('msProductData', $offer['article'])) {
                $offers[$k]['weight'] = (int)$productData->get('weight_packing') ?? 5;
    	    }
        }
        $modx->event->output(['new_offers' => $offers]);
        break;
	*/

}