<?php
if (!$eshoplogistic2 = $modx->getService('eshoplogistic2', 'eshoplogistic2', $modx->getOption('eshoplogistic2_core_path', null,
    $modx->getOption('core_path') . 'components/eshoplogistic2/') . 'model/eshoplogistic2/', $scriptProperties)
) {
    return 'Could not load eshoplogistic2 class!';
}

$pdo = $modx->getService('pdoTools');


$tpl = $modx->getOption('tpl', $scriptProperties, 'tpl.eshoplogistic2.widgetModal');
$offers_mode = $modx->getOption('offers_mode', $scriptProperties, 'cart');
$product = $modx->getOption('product', $scriptProperties, '');

if($offers_mode != 'cart' && empty($product)) {
    $product = $modx->resource->id;
}


$offers = $eshoplogistic2->getOffers($offers_mode, $product);

$placeholders = array_merge($scriptProperties,[
	'key' => $modx->getOption('eshoplogistic2_widget_key'),
	'offers' => $offers
]);


return $pdo->getChunk($tpl, $placeholders);