<?php

class eshoplogistic2OrderProcessor extends modProcessor {

    public $permission = '';

    public function process()
    {
        $data = [
            'price' => '',
            'time' => '',
            'service' => '',
            'mode' => '',
            'address' => ''
        ];

        if($order_id = $this->getProperty('order_id')) {

            if($order = $this->modx->getObject('msOrder', $order_id)) {
                $properties = $order->get('properties');
                if(!empty($properties['esl'])) {
                    $data = array_merge($data, $properties['esl']);
                }
            }

        }


        return $this->modx->toJSON([
            'success' => true,
            'delivery' => $data
        ]);
    }

}

return 'eshoplogistic2OrderProcessor';
