<?php
class eshoplogistic2HomeManagerController extends modExtraManagerController
{
    public $eshoplogistic2;


    public function initialize()
    {
        $path = $this->modx->getOption('eshoplogistic2_core_path', null,
        $this->modx->getOption('core_path') . 'components/eshoplogistic2/') . 'model/eshoplogistic2/';
        $this->eshoplogistic2 = $this->modx->getService('eshoplogistic2', 'eshoplogistic2', $path);
        parent::initialize();
    }


    public function getLanguageTopics()
    {
        return array('eshoplogistic2:default');
    }


    public function checkPermissions()
    {
        return true;
    }


    public function getPageTitle()
    {
        return $this->modx->lexicon('eshoplogistic2');
    }


    public function loadCustomCssJs()
    {
        #$this->addCss($this->eshoplogistic2->config['cssUrl'] . 'mgr/main.css');
        $this->addJavascript($this->eshoplogistic2->config['jsUrl'] . 'mgr/eshoplogistic2.js');
        $this->addJavascript($this->eshoplogistic2->config['jsUrl'] . 'mgr/widgets/home.panel.js');
        $this->addJavascript($this->eshoplogistic2->config['jsUrl'] . 'mgr/sections/home.js');

        $this->addHtml('<script type="text/javascript">
        eshoplogistic2.config = ' . json_encode($this->eshoplogistic2->config) . ';
        eshoplogistic2.config.connector_url = "' . $this->eshoplogistic2->config['connectorUrl'] . '";
        Ext.onReady(function() {
            MODx.load({ xtype: "eshoplogistic2-page-home"});
        });
        </script>
        ');
    }


    public function getTemplateFile()
    {
        return $this->eshoplogistic2->config['templatesPath'] . 'home.tpl';
    }
}