<?php
if (!class_exists('msDeliveryInterface')) {
    require_once dirname(dirname(dirname(__FILE__))) . '/model/minishop2/msdeliveryhandler.class.php';
}

class eslHandler extends msDeliveryHandler implements msDeliveryInterface
{
   
    public function getCost(msOrderInterface $order, msDelivery $delivery, $cost = 0.0)
    {

        $order_data = $order->get();
        if(!empty($order_data['esl_data'])) {
            if($esl_data = json_decode($order_data['esl_data'],1)) {
                if(!empty((double)$esl_data['price'])) {
                    $cost += $esl_data['price'];
                }
            }
        }

		return parent::getCost($order, $delivery, $cost);
    }

}

